package com.yixin.ms.service;


import com.yixin.ms.boot.restful.RestResult;
import com.yixin.ms.model.dto.ShortTermDTO;
import com.yixin.ms.model.vo.HealtCodeUserVO;

public interface HealthCodeService {

    /**
     * 健康码查询
     * @param shortTermDTO
     * @return
     */
    HealtCodeUserVO getShortTermCertificate(ShortTermDTO shortTermDTO);

    String addToken(String token);

    Boolean deleteToken(String token);

    /**
     * 健康码查询
     * @param shortTermDTO
     * @return
     */
    RestResult getShortTerm(ShortTermDTO shortTermDTO);
}

