package com.yixin.ms.crypto.util;

import cn.hutool.core.util.*;
import cn.hutool.crypto.*;
import cn.hutool.crypto.symmetric.*;

public class SzhzSm4Util {
    public static String encrypt(final String secret, final String str) {
        if (StrUtil.isBlank((CharSequence)str)) {
            return "";
        }
        final SymmetricCrypto symmetricCrypto = SmUtil.sm4(secret.getBytes());
        return symmetricCrypto.encryptBase64(str);
    }

    public static String decrypt(final String secret, final String str) {
        if (StrUtil.isBlank((CharSequence)str)) {
            return "";
        }
        final SymmetricCrypto symmetricCrypto = SmUtil.sm4(secret.getBytes());
        return symmetricCrypto.decryptStr(str);
    }
}
