package com.yixin.ms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;


@Data
@Accessors(chain = true)
public class HealtCodeNucleinVO {


    /**
     * 报告时间 （接口前面已开放，参数说明歧义问题注意）
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checktime;

    /**
     * 检测时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /**
     * 核酸结果
     */
    private String result;

}

