package com.yixin.ms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


import java.util.List;


@Data
@Accessors(chain = true)
public class HealtCodeUserVO {

    /**
     * 用户信息id
     */
    private List<HealtCodeNucleinVO> nuclein;

    private List<HealtCodeTypeVO> data;
    /**
     * 疫苗接种数量
     */
    private String vaccineNum;

    /**
     * 1 未去过中高风险地区 2 去过中高风险地区 3 未查询到 结果
     */
    private String travelValidation;

    @ApiModelProperty("用户姓名")
    private String username;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "是否放行 0放行，1禁止通行")
    private Integer isOpen;

    @ApiModelProperty(value = "禁止通行提示语")
    private String openMsg;
}

